C#
using Gr4vy;
using Gr4vy.Models.Components;
using Gr4vy.Models.Requests;
var sdk = new Gr4vySDK(
id: "mattilda",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
ListPaymentLinksResponse? res = await sdk.PaymentLinks.ListAsync(limit: 20);
while(res != null)
{
// handle items
res = await res.Next!();
}package main
import(
"context"
gr4vygo "github.com/gr4vy/gr4vy-go"
"os"
"log"
)
func main() {
ctx := context.Background()
privateKey := "...."
withToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)
s := gr4vy.New(
gr4vy.WithID("mattilda"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)
res, err := s.PaymentLinks.List(ctx, nil, gr4vygo.Int64(20))
if err != nil {
log.Fatal(err)
}
if res != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}package hello.world;
import java.lang.Exception;
import com.gr4vy.sdk.BearerSecuritySource;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.Gr4vy.AvailableServers;
import org.openapis.openapi.models.errors.*;
import org.openapis.openapi.models.operations.ListPaymentLinksResponse;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.id("mattilda")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();
sdk.paymentLinks().list()
.limit(20L)
.callAsStream()
.forEach((ListPaymentLinksResponse item) -> {
// handle page
});
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
use Gr4vy\Auth;
$privateKey = "...";
$sdk = Gr4vy\SDK::builder()
-\u003esetId('mattilda')
-\u003esetServer('sandbox')
-\u003esetSecuritySource(Auth::withToken($privateKey))
-\u003esetMerchantAccountId('default')
-\u003ebuild();
$responses = $sdk->paymentLinks->list(
limit: 20
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_links.list(limit=20)
while res is not None:
# Handle items
res = res.next()import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentLinks.list();
for await (const page of result) {
console.log(page);
}
}
run();{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"amount": 49999999,
"country": "<string>",
"currency": "<string>",
"cart_items": [
{
"amount": {
"currency": "MXN",
"value": 500
},
"name": "Widget",
"quantity": 2
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "payment-link",
"expires_at": "2024-06-01T00:00:00.000Z",
"external_identifier": "external-12345",
"locale": "en",
"merchant_name": "ACME Inc.",
"merchant_url": "https://merchant.example.com",
"merchant_banner_url": "https://merchant.example.com/banner.png",
"merchant_color": "#FF5733",
"merchant_message": "Thank you for your purchase!",
"merchant_terms_and_conditions_url": "https://merchant.example.com/terms",
"merchant_favicon_url": "https://merchant.example.com/favicon.ico",
"return_url": "https://merchant.example.com/return",
"metadata": {
"order_id": "ORD-12345"
},
"buyer": {
"type": "buyer",
"id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"display_name": "John Doe",
"external_identifier": "buyer-12345",
"billing_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"tax_id": {
"value": "<string>"
}
},
"account_number": "<string>"
},
"shipping_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"id": "bf8c36ad-02d9-4904-b0f9-a230b149e341",
"buyer_id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"type": "shipping-details"
}
}
],
"limit": 20,
"next_cursor": "ZXhhbXBsZTE",
"previous_cursor": "Xkjss7asS"
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}List all payment links
List all created payment links.
GET
/
payment-links
C#
using Gr4vy;
using Gr4vy.Models.Components;
using Gr4vy.Models.Requests;
var sdk = new Gr4vySDK(
id: "mattilda",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
ListPaymentLinksResponse? res = await sdk.PaymentLinks.ListAsync(limit: 20);
while(res != null)
{
// handle items
res = await res.Next!();
}package main
import(
"context"
gr4vygo "github.com/gr4vy/gr4vy-go"
"os"
"log"
)
func main() {
ctx := context.Background()
privateKey := "...."
withToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)
s := gr4vy.New(
gr4vy.WithID("mattilda"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)
res, err := s.PaymentLinks.List(ctx, nil, gr4vygo.Int64(20))
if err != nil {
log.Fatal(err)
}
if res != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}package hello.world;
import java.lang.Exception;
import com.gr4vy.sdk.BearerSecuritySource;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.Gr4vy.AvailableServers;
import org.openapis.openapi.models.errors.*;
import org.openapis.openapi.models.operations.ListPaymentLinksResponse;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.id("mattilda")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();
sdk.paymentLinks().list()
.limit(20L)
.callAsStream()
.forEach((ListPaymentLinksResponse item) -> {
// handle page
});
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
use Gr4vy\Auth;
$privateKey = "...";
$sdk = Gr4vy\SDK::builder()
-\u003esetId('mattilda')
-\u003esetServer('sandbox')
-\u003esetSecuritySource(Auth::withToken($privateKey))
-\u003esetMerchantAccountId('default')
-\u003ebuild();
$responses = $sdk->paymentLinks->list(
limit: 20
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_links.list(limit=20)
while res is not None:
# Handle items
res = res.next()import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentLinks.list();
for await (const page of result) {
console.log(page);
}
}
run();{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"amount": 49999999,
"country": "<string>",
"currency": "<string>",
"cart_items": [
{
"amount": {
"currency": "MXN",
"value": 500
},
"name": "Widget",
"quantity": 2
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "payment-link",
"expires_at": "2024-06-01T00:00:00.000Z",
"external_identifier": "external-12345",
"locale": "en",
"merchant_name": "ACME Inc.",
"merchant_url": "https://merchant.example.com",
"merchant_banner_url": "https://merchant.example.com/banner.png",
"merchant_color": "#FF5733",
"merchant_message": "Thank you for your purchase!",
"merchant_terms_and_conditions_url": "https://merchant.example.com/terms",
"merchant_favicon_url": "https://merchant.example.com/favicon.ico",
"return_url": "https://merchant.example.com/return",
"metadata": {
"order_id": "ORD-12345"
},
"buyer": {
"type": "buyer",
"id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"display_name": "John Doe",
"external_identifier": "buyer-12345",
"billing_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"tax_id": {
"value": "<string>"
}
},
"account_number": "<string>"
},
"shipping_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"id": "bf8c36ad-02d9-4904-b0f9-a230b149e341",
"buyer_id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"type": "shipping-details"
}
}
],
"limit": 20,
"next_cursor": "ZXhhbXBsZTE",
"previous_cursor": "Xkjss7asS"
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}This endpoint requires the
payment-links.read scope.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the merchant account to use for this request.
Example:
"default"
Query Parameters
A pointer to the page of results to return.
Example:
"ZXhhbXBsZTE"
The maximum number of items that are returned.
Required range:
1 <= x <= 100Example:
20
Response
Successful Response
A list of items returned for this request.
Show child attributes
Show child attributes
The number of items for this page.
Required range:
1 <= x <= 100Example:
20
The cursor pointing at the next page of items.
Required string length:
1 - 1000Example:
"ZXhhbXBsZTE"
The cursor pointing at the previous page of items.
Required string length:
1 - 1000Example:
"Xkjss7asS"
Was this page helpful?
⌘I